# ColorOperation

### Introduction

The ColorOperation enumeration defines possible color operations which can be used by an [IColorable](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) to modify its appearance. For more information, see the [IColorable](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) wiki entry.

### ColorOperation Values

The following table lists color operations and supported platforms:

| ColorOperation                                                                                 | PC (DesktopGL) | iOS | Android | Web |
| ---------------------------------------------------------------------------------------------- | -------------- | --- | ------- | --- |
| [Modulate](/flatredball/api/flatredball/graphics/coloroperation/modulate.md)                   | X              | X   | X       | X   |
| [Texture](/flatredball/api/flatredball/graphics/coloroperation/texture.md)                     | X              | X   | X       | X   |
| [Color](/flatredball/api/flatredball/graphics/coloroperation/color.md)                         | X              | X   | X       | X   |
| [ColorTextureAlpha](/flatredball/api/flatredball/graphics/coloroperation/colortexturealpha.md) | X              | X   | X       | X   |
| [Add](/flatredball/api/flatredball/graphics/coloroperation/add.md)                             | X              |     |         |     |
| Subtract                                                                                       | X              |     |         |     |
| InverseTexture                                                                                 | X              |     |         |     |
| Modulate2X                                                                                     | X              |     |         |     |
| Modulate4X                                                                                     | X              |     |         |     |
| [InterpolateColor](/flatredball/api/flatredball/graphics/coloroperation/interpolatecolor.md)   | X              |     |         |     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/graphics/coloroperation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
